Show / Hide Table of Contents

# Class NodeMetadata

Resembles type and shape information of session-graph nodes, used for communicating the shape/type of input/output nodes

##### Inheritance

System.Object
NodeMetadata

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Microsoft.ML.OnnxRuntime

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class NodeMetadata

### Properties

#### Dimensions

Shape

##### Declaration

    public int[] Dimensions { get; }

##### Property Value

Type | Description
--- | ---
System.Int32[] | Array of dimensions

#### ElementType

.NET type that corresponds to this Node.

##### Declaration

    public Type ElementType { get; }

##### Property Value

Type | Description
--- | ---
System.Type | System.Type

#### IsTensor

Whether it is a Tensor

##### Declaration

    public bool IsTensor { get; }

##### Property Value

Type | Description
--- | ---
System.Boolean | currently always returns true

#### OnnxValueType

Type value of the node

##### Declaration

    public OnnxValueType OnnxValueType { get; }

##### Property Value

Type | Description
--- | ---
OnnxValueType | A value of OnnxValueType enum

#### SymbolicDimensions

Symbolic dimensions

##### Declaration

    public string[] SymbolicDimensions { get; }

##### Property Value

Type | Description
--- | ---
System.String[] | Array of symbolic dimensions if present.